IOSS 2.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ScopeGuardImpl3< F, P1, P2, P3 > Class Template Reference

`#include <Ioss_ScopeGuard.h>`

Inheritance diagram for ScopeGuardImpl3< F, P1, P2, P3 >:
[legend]
Collaboration diagram for ScopeGuardImpl3< F, P1, P2, P3 >:
[legend]

## Public Member Functions
| ~ScopeGuardImpl3 ()
void | Execute ()
Public Member Functions inherited from ScopeGuardImplBase
| ScopeGuardImplBase ()
void | Dismiss () const

## Static Public Member Functions
static ScopeGuardImpl3< F, P1, P2, P3 > | MakeGuard (F fun, P1 p1, P2 p2, P3 p3)

## Protected Member Functions
| ScopeGuardImpl3 (F fun, P1 p1, P2 p2, P3 p3)
Protected Member Functions inherited from ScopeGuardImplBase
| ~ScopeGuardImplBase ()=default
| ScopeGuardImplBase (const ScopeGuardImplBase &other)

## Protected Attributes
F | fun_
const P1 | p1_
const P2 | p2_
const P3 | p3_
Protected Attributes inherited from ScopeGuardImplBase
bool | dismissed_

## Additional Inherited Members
Static Protected Member Functions inherited from ScopeGuardImplBase
template<typename J >
static void | SafeExecute (J &j)

## Constructor & Destructor Documentation

## ◆ ~ScopeGuardImpl3()

template<typename F , typename P1 , typename P2 , typename P3 >

ScopeGuardImpl3< F, P1, P2, P3 >::~ScopeGuardImpl3 | ( |  | ) |
| inline

## ◆ ScopeGuardImpl3()

template<typename F , typename P1 , typename P2 , typename P3 >

ScopeGuardImpl3< F, P1, P2, P3 >::ScopeGuardImpl3 | ( | F | fun,
|  | P1 | p1,
|  | P2 | p2,
|  | P3 | p3
| ) |  |
| inlineprotected

## Member Function Documentation

## ◆ Execute()

template<typename F , typename P1 , typename P2 , typename P3 >

void ScopeGuardImpl3< F, P1, P2, P3 >::Execute | ( |  | ) |
| inline

## ◆ MakeGuard()

template<typename F , typename P1 , typename P2 , typename P3 >

static ScopeGuardImpl3<F, P1, P2, P3> ScopeGuardImpl3< F, P1, P2, P3 >::MakeGuard | ( | F | fun,
|  | P1 | p1,
|  | P2 | p2,
|  | P3 | p3
| ) |  |
| inlinestatic

## Member Data Documentation

## ◆ fun_

template<typename F , typename P1 , typename P2 , typename P3 >

F ScopeGuardImpl3< F, P1, P2, P3 >::fun_
| protected

## ◆ p1_

template<typename F , typename P1 , typename P2 , typename P3 >

const P1 ScopeGuardImpl3< F, P1, P2, P3 >::p1_
| protected

## ◆ p2_

template<typename F , typename P1 , typename P2 , typename P3 >

const P2 ScopeGuardImpl3< F, P1, P2, P3 >::p2_
| protected

## ◆ p3_

template<typename F , typename P1 , typename P2 , typename P3 >

const P3 ScopeGuardImpl3< F, P1, P2, P3 >::p3_
| protected

The documentation for this class was generated from the following file:

- src/Ioss_ScopeGuard.h